Package: io.vertx.groovy.ext.shell.registry

## [Groovy] Class CommandRegistry

- io.vertx.groovy.ext.shell.registry.CommandRegistry

- A registry that contains the commands known by a shell.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `CommandRegistry (Object delegate)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `complete(Completion completion)` Perform completion, the completion argument will be notified of the completion progress.
    `void` | `createProcess(String line, Handler<AsyncResult<Process>> handler)` Parses a command line and try to create a process.
    `void` | `createProcess(List<CliToken> line, Handler<AsyncResult<Process>> handler)` Try to create a process from the command line tokens.
    `static CommandRegistry` | `get(Vertx vertx)` Get the registry for the Vert.x instance
    `Object` | `getDelegate()`
    `void` | `registerCommand(Command command)` Register a command
    `void` | `registerCommand(Command command, Handler<AsyncResult<CommandRegistration>> doneHandler)`
    `List<CommandRegistration>` | `registrations()` @return Returns: the current command registrations
    `void` | `unregisterCommand(String commandName)` Unregister a command.
    `void` | `unregisterCommand(String commandName, Handler<AsyncResult<Void>> doneHandler)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### CommandRegistry(Object delegate)

  - ### Method Detail

    - #### void complete(Completion completion)

      Perform completion, the completion argument will be notified of the completion progress.

      Parameters:
        `completion` - the completion object

    - #### void createProcess(String line, Handler<AsyncResult<Process>> handler)

      Parses a command line and try to create a process.

      Parameters:
        `line` - the command line to parse
        `handler` - the handler to be notified about process creation

    - #### void createProcess(List<CliToken> line, Handler<AsyncResult<Process>> handler)

      Try to create a process from the command line tokens.

      Parameters:
        `line` - the command line tokens
        `handler` - the handler to be notified about process creation

    - #### static CommandRegistry get(Vertx vertx)

      Get the registry for the Vert.x instance

      Returns:
        the registry
      Parameters:
        `vertx` - the vertx instance

    - #### Object getDelegate()

    - #### void registerCommand(Command command)

      Register a command

      Parameters:
        `command` - the command to register

    - #### void registerCommand(Command command, Handler<AsyncResult<CommandRegistration>> doneHandler)

    - #### List<CommandRegistration> registrations()

      Returns:
        the current command registrations

    - #### void unregisterCommand(String commandName)

      Unregister a command.

      Parameters:
        `commandName` - the command name

    - #### void unregisterCommand(String commandName, Handler<AsyncResult<Void>> doneHandler)